package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.SysRole;
import com.ssm.manage.entity.SysRoleUser;
import com.ssm.manage.entity.SysStoreRole;
import com.ssm.manage.query.RoleRequest;
import com.ssm.manage.query.SysStoreRoleRequest;

public interface SsmSysStoreRoleService  extends BaseService<SysStoreRole> {
    PageInfo<SysStoreRole> selectPage(SysStoreRoleRequest sysStoreRole);

    int saveSysStoreRole(SysStoreRoleRequest sysStoreRole, String userNum) throws SmsException;
    int updateSysStoreRole(SysStoreRoleRequest sysStoreRole, String userNum) throws SmsException;

    int updateSysRoleState(SysStoreRoleRequest sysStoreRole);
    int addRoleStore(SysStoreRoleRequest sysStoreRole) throws SmsException;
    int addMuenRole(SysStoreRoleRequest sysStoreRole) throws SmsException;
}
